# Health Check

Health checks allow verifying the status of a web server from the perspective of every endpoint. An alert can also be configured to be notified when the health check fails on an endpoint.

### Configure Health Check

Open the *Health Checks* tab and click *New*. Then set the *Name* of the check and set the *Check Type* to *HTTP Request*. Add a role to the health check that will match one of the roles on the endpoint. Every endpoint with a matching role will perform the health check.

The *Targets* is a list of URLs that will be tested with a GET request. The *Check Frequency* is the time in seconds between each check. The *Check Timeout* is the time in seconds before the HTTP request will timeout. The *HTTP Status Code* is the expected status code that will be considered successful. The *HTTP Headers* allow setting headers that will be included in the HTTP request.

Once done click *Save* and after a few minutes data should begin to populate the graphs. The *Error Log* section will provide a log of errors that occur. If configured correctly the name of this health check should be listed in the *Endpoints* page.

Alerts for health checks can also be added with the alert type *HTTP Health Check Failed*.

![](https://github.com/pritunl/pritunl-docs/blob/master/pritunl-zero/.gitbook/assets/endpoint7.png)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pritunl.com/kb/zero/endpoint/endpoint-health-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
